Package org.apache.tapestry5.internal.services

## Class AbstractAssetFactory

- java.lang.Object
- - org.apache.tapestry5.internal.services.AbstractAssetFactory

- All Implemented Interfaces:
    `AssetFactory`
  Direct Known Subclasses:
    `ClasspathAssetFactory`, `ContextAssetFactory`

      public abstract class AbstractAssetFactory
      extends java.lang.Object
      implements AssetFactory

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractAssetFactory​(ResponseCompressionAnalyzer compressionAnalyzer, ResourceChangeTracker resourceChangeTracker, StreamableResourceSource streamableResourceSource, AssetPathConstructor assetPathConstructor, Resource rootResource)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Asset` | `createAsset​(Resource resource, java.lang.String folder, java.lang.String resourcePath)` |
    `Resource` | `getRootResource()` | Returns the root `ContextResource`.
    `protected boolean` | `isCompressable​(StreamableResource resource)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tapestry5.services.AssetFactory

      `createAsset`

- - ### Constructor Detail

    - #### AbstractAssetFactory

          public AbstractAssetFactory​(ResponseCompressionAnalyzer compressionAnalyzer,
                                      ResourceChangeTracker resourceChangeTracker,
                                      StreamableResourceSource streamableResourceSource,
                                      AssetPathConstructor assetPathConstructor,
                                      Resource rootResource)

  - ### Method Detail

    - #### isCompressable

          protected boolean isCompressable​(StreamableResource resource)

    - #### getRootResource

          public Resource getRootResource()

      Returns the root `ContextResource`.
      Specified by:
        `getRootResource` in interface `AssetFactory`

    - #### createAsset

          protected Asset createAsset​(Resource resource,
                                      java.lang.String folder,
                                      java.lang.String resourcePath)